// GVNGSamplePlugin.h : main header file for the GVNGSAMPLEPLUGIN DLL
//

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols

// ------------ DLL event's ------------------
#define DLLF_ON_LOAD				0x00000001
#define DLLF_ON_INITIALIZE			0x00000002
#define DLLF_ON_CLOSE				0x00000004
#define DLLF_ON_DATACHANGED			0x00000008
#define DLLF_ON_GAMESLISTMODIFIED	0x00000010
#define DLLF_ON_TURNCHANGED			0x00000020
#define DLLF_ON_REPORTLOADED		0x00000040
#define DLLF_ON_USERCOMMAND			0x00000080
#define DLLF_ON_ABOUT				0x00000100
#define DLLF_ON_PLANETCHANGED		0x00000200
#define DLLF_ON_TABLEPROCESSOR		0x00000400
#define DLLF_ON_TABLEFILTER			0x00000800

// ------------ Screen ID's ------------------
#define SID_INCOMING					 51446
#define SID_BOMBING						 51452
#define SID_RACES						 51467
#define SID_PLANETS						 51477
#define SID_GROUPS						 51481
#define SID_BATTLES						 51491
#define SID_SHIPCALC					 51498
#define SID_PLANETINFO					 51507
#define SID_SCIENCES					 51557
#define SID_SHIPTYPES					 51575
#define SID_BROADCAST					 51682
#define SID_NOTES						 51689
#define SID_MAIL						 51691
#define SID_CALCULATOR					 51734
#define SID_BATTLESIMULATOR				 51751
#define SID_FLEETS						 51895
// -------------------------------------------

/////////////////////////////////////////////////////////////////////////////
// SpyApp
// See GVNGSamplePlugin.cpp for the implementation of this class
//

class CSpyApp : public CWinApp
{
public:
	CSpyApp();

	void DataAccess(CString,LONG,CString,CStringList&,CMapStringToString&); //      GVNG

	// External GVNG messages
	///////////////////////////////////////////////
	void OnLoad();
	void OnInitialize(CMapStringToString&);
	void OnClose();
	void OnDataChanged(CMapStringToString&);
	void OnGamesListModified(CMapStringToString&);
	void OnTurnChanged(CMapStringToString&);
	void OnReportLoaded(CMapStringToString&);
	void OnUserCommand(CMapStringToString&);
	void OnPlanetChanged(CMapStringToString&);
	void OnAbout(CMapStringToString&);
	void OnTableProcessor(CMapStringToString&,CStringArray&);
	BOOL OnTableFilter(CMapStringToString&,CStringArray&);
	///////////////////////////////////////////////
public:
// Attributes
	CString m_GameName;
		//int m_Ok_;
//	CString m_Game, m_Group;
	//DWORD* m_pEventMask;
//String m_RaceName;
//String m_Turn;
//String m_PlanetTo;
//String m_Range;
//	CMapStringToString &GlobalMap

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(SpyApp)
	//}}AFX_VIRTUAL

	//{{AFX_MSG(SpyApp)
		// NOTE - the ClassWizard will add and remove member functions here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
	// Dates
	HWND m_hMainFrame;
	FARPROC m_pDataManager;

	CString PlanetTo;
	// Functions
//	void UpdateAllDocuments();
	void RegWrite(CString,CString);
	void RegRead(CString,CString&);
};

/////////////////////////////////////////////////////////////////////////////
